#pragma once


#include <afxwin.h>         // MFC core and standard components
#include <afxext.h>         // MFC extensions
#include <afxdisp.h>        // MFC Automation classes

#include <afxdtctl.h>		// MFC support for Internet Explorer 4 Common Controls


#include "MyFrame.h"


class CMyApp : public CWinApp
{
public:
	BOOL InitInstance();

	BOOL IsFirstInstance();
	//DECLARE_MESSAGE_MAP()

};

BOOL CMyApp::InitInstance()
{
	if( !IsFirstInstance() )
		return 0;

	m_pMainWnd = new CMainWindow();
	m_pMainWnd->ShowWindow(SW_SHOW);
	m_pMainWnd->UpdateWindow();

	return 1;
};

BOOL CMyApp::IsFirstInstance()
{
   char szTitle[] = "Note-It from www.xbdev.net";

   // Determine if another window with our class name exists...
   HWND hWnd = ::FindWindow(NULL, szTitle);
   if (NULL != hWnd)
   {
       // if so, does it have any popups?
       HWND hWndChild = ::GetLastActivePopup(hWnd);
       
       // Bring the main window to the top
       ::BringWindowToTop(hWnd);
       
       // If iconic, restore the main window
       //if (::IsIconic(hWnd))
           ::ShowWindow(hWnd, SW_SHOW);

        // If there are popups, bring them along too!
        if (hWnd != hWndChild)
           {
            ::BringWindowToTop(hWndChild);
                ::SetForegroundWindow(hWnd);
           }
           else
           {
                ::SetForegroundWindow(hWnd);
           }
        
       // Return FALSE.   This isn't the first instance
       // and we are done activating the previous one.
       return FALSE;
   }
   else
       // First instance. Proceed as normal.
       return TRUE;
}


//BEGIN_MESSAGE_MAP(CMyApp, CMyApp)
//END_MESSAGE_MAP()

//extern CMyApp a;

CMyApp a;